## golang-github-confluentinc-confluent-kafka-go 0.11.6

=== mk/Makefile ===
# Convenience helper Makefile for simplifying tasks in all sub-dirs
# of this git repo.
#
# Usage (from top-level dir):
#   make -f mk/Makefile "<command> <args..>"
#
# E.g., to run 'go vet' on all Go code:
#   make -f mk/Makefile "go vet"
# 
#
#

DIRS?=$(shell find . -xdev -type f -name '*.go' -exec dirname {} \; | sort | uniq)

%:
	@(for d in $(DIRS) ; do (cd "$$d" && $@) ; done)

## golang-github-confluentinc-confluent-kafka-go 0.11.0

=== debian/changelog ===
golang-github-confluentinc-confluent-kafka-go (0.11.0-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Enable autopkgtest-pkg-go testing

  [ Mpampis Kostas ]
  * Bump librdkafka binary dependency

 -- Mpampis Kostas <charkost.rb@gmail.com>  Mon, 07 Aug 2017 10:43:42 +0300

golang-github-confluentinc-confluent-kafka-go (0.11.0-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Switch the copyright-format URL to https
  * Fix watch file format

  [ Mpampis Kostas ]
  * New upstream version 0.11.0
  * Bump librdkafka B-D to match upstream requirement
  * Add myself to Uploaders
  * Run wrap-and-sort

 -- Mpampis Kostas <charkost.rb@gmail.com>  Tue, 01 Aug 2017 17:53:53 +0300

golang-github-confluentinc-confluent-kafka-go (0.9.4-2) unstable; urgency=medium

  * Bump Standards to 4.0.0, no changes needed.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 28 Jun 2017 10:55:41 +0300

golang-github-confluentinc-confluent-kafka-go (0.9.4-1) experimental; urgency=medium

  * Initial release (Closes: #857709)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 22 Mar 2017 11:35:50 +0200

=== debian/control ===
Source: golang-github-confluentinc-confluent-kafka-go
Section: devel
Priority: extra
Maintainer: Christos Trochalakis <ctrochalakis@debian.org>
Uploaders: Mpampis Kostas <charkost.rb@gmail.com>
Build-Depends: debhelper (>= 10),
               dh-golang (>= 1.19~),
               golang-any,
               librdkafka-dev (>= 0.11.0~),
               pkg-config
Standards-Version: 4.0.0
Homepage: https://github.com/confluentinc/confluent-kafka-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kafka/golang-github-confluentinc-confluent-kafka-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kafka/golang-github-confluentinc-confluent-kafka-go.git
XS-Go-Import-Path: github.com/confluentinc/confluent-kafka-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-confluentinc-confluent-kafka-go-dev
Architecture: all
Depends: librdkafka-dev (>= 0.11.0~),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Apache Kafka Golang client by Confluent
 Confluent's Kafka client for Golang wraps the librdkafka C library, providing
 full Kafka protocol support with great performance and reliability.
 .
 The Golang bindings are supported by Confluent, founded by the creators of
 Kafka, and part of their Confluent Platform offering, so the client can be
 expected to keep pace with Kafka development.
 .
 The Golang bindings provide a high-level Producer and Consumer with support
 for the balanced consumer groups of Apache Kafka 0.9 and above.

## golang-github-confluentinc-confluent-kafka-go 0.11.4

=== debian/changelog ===
golang-github-confluentinc-confluent-kafka-go (0.11.4-1) unstable; urgency=medium

  * Move repository to salsa.debian.org
  * Bump Standards-Version, no changes needed
  * Switch to debhelper 11
  * Bump librdkafka dependency to 0.11.4
  * Switch priority to optional, extra is deprecated

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 12 Apr 2018 08:23:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: golang-github-confluentinc-confluent-kafka-go
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Christos Trochalakis <ctrochalakis@debian.org>
 Uploaders: Mpampis Kostas <charkost.rb@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.19~),
                golang-any,
-               librdkafka-dev (>= 0.11.0~),
+               librdkafka-dev (>= 0.11.4~),
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/confluentinc/confluent-kafka-go
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kafka/golang-github-confluentinc-confluent-kafka-go.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kafka/golang-github-confluentinc-confluent-kafka-go.git
+Vcs-Browser: https://salsa.debian.org/kafka-team/golang-github-confluentinc-confluent-kafka-go
+Vcs-Git: https://salsa.debian.org/kafka-team/golang-github-confluentinc-confluent-kafka-go.git
 XS-Go-Import-Path: github.com/confluentinc/confluent-kafka-go
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-confluentinc-confluent-kafka-go-dev
 Architecture: all
-Depends: librdkafka-dev (>= 0.11.0~),
+Depends: librdkafka-dev (>= 0.11.4~),
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends}

## golang-github-confluentinc-confluent-kafka-go 0.11.6

=== debian/changelog ===
golang-github-confluentinc-confluent-kafka-go (0.11.6-1) unstable; urgency=medium

  * New upstream version

 -- Mpampis Kostas <charkost.rb@gmail.com>  Thu, 25 Oct 2018 17:43:42 +0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.19~),
                golang-any,
-               librdkafka-dev (>= 0.11.4~),
+               librdkafka-dev (>= 0.11.6~),
                pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/confluentinc/confluent-kafka-go
 Vcs-Browser: https://salsa.debian.org/kafka-team/golang-github-confluentinc-confluent-kafka-go
 Vcs-Git: https://salsa.debian.org/kafka-team/golang-github-confluentinc-confluent-kafka-go.git
@@ -17,7 +17,7 @@
 
 Package: golang-github-confluentinc-confluent-kafka-go-dev
 Architecture: all
-Depends: librdkafka-dev (>= 0.11.4~),
+Depends: librdkafka-dev (>= 0.11.6~),
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := \
	kafka/go_rdkafka_generr \
	examples/ \
	kafkatest/

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-confluentinc-confluent-kafka-go-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/confluentinc/confluent-kafka-go/tags .*/v?(\d\S*)\.tar\.gz
